/* Bron: https://famfonts.com/wii/ */
@font-face {
    font-family: "Wii-Font";
    src: url("../Assets/fonts/Wii-Font.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

:root {
    --wii-color: #efefef;
    --wii-color-text: #000000;


    --color-red: #d3507c;
    --color-blue: #1d95ba;
    --color-light: #1d95ba;
    --color-light-off: #67686c;
    --color-btn-border: #c4c7cc;
    --color-btn-border-shadow: #a7a7a7;
    --btn-shadow: drop-shadow(0 4px 0px var(--color-btn-border-shadow));


    /* Normaal 36.2mm x 160mm */
    /* Dimensions bron: https://www.dimensions.com/element/wii-remote */
    --controller-width: 200px;
    --controller-height: 884px;
}

.wii-controller {
    width: var(--controller-width);
    height: var(--controller-height);
    background-color: var(--wii-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--wii-color-text);
    font-family: "Jost";
    border-radius: 1rem;
    position: relative;
    transition: transform 0.4s ease;

    @media (width > 30em) and (height > 55em) {
        transform: scale(1.5);
    }

    @media (width > 60em) {
        transform: rotate(-90deg) scale(1.5);
    }

    #power-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: absolute;
        top: 1rem;
        left: 1rem;

        button {
            color: var(--color-red);
            border: 1px solid var(--color-btn-border);
            border-radius: 50%;
            padding: 2px;
            aspect-ratio: 1;

            i {
                font-size: 1.5rem;
            }
        }

        p {
            font-size: 0.8rem;
            text-transform: uppercase;
        }
    }

    .dpad {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(3, 1fr);
        width: 120px;
        aspect-ratio: 1;
        margin-top: 6rem;

        button {
            aspect-ratio: 1;
            border: none;
            background: var(--wii-color);
            padding: 0.5rem;
        }

        #dpad-up {
            grid-area: 1 / 2;
            border-radius: 5px 5px 0 0;
            border: 2px solid var(--color-btn-border);
            border-bottom: none;
        }

        #dpad-left {
            grid-area: 2 / 1;
            border-radius: 5px 0 0 5px;
            border: 2px solid var(--color-btn-border);
            border-right: none;
        }

        div {
            grid-column: 2;
            grid-row: 2;
            background: var(--wii-color);
        }

        #dpad-right {
            grid-area: 2 / 3;
            border-radius: 0 5px 5px 0;
            border: 2px solid var(--color-btn-border);
            border-left: none;

        }

        #dpad-down {
            grid-area: 3 / 2;
            border-radius: 0 0 5px 5px;
            border: 2px solid var(--color-btn-border);
            border-top: none;
        }

        hr {
            border: 3px solid var(--color-btn-border);
        }

        #dpad-up,
        #dpad-down {
            hr {
                rotate: 90deg;
            }
        }
    }

    #btn-a {
        aspect-ratio: 1;
        border: 2px solid var(--color-btn-border);
        border-radius: 50%;
        width: 75px;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 2rem;
        margin-top: 3rem;
        filter: var(--btn-shadow);

        &:active {
            filter: inner-shadow(0 0 0px var(--wii-button-border-color-shadow));
            transform: translateY(4px);
        }
    }

    #center-buttons-container {
        display: flex;
        justify-content: space-evenly;
        width: 100%;
        margin-top: 3rem;

        >button {
            filter: var(--btn-shadow);

            &:active {
                filter: inner-shadow(0 0 0px var(--wii-button-border-color-shadow));
                transform: translateY(4px);
            }
            
        }

        #btn-home {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-transform: uppercase;

            button>i {
                color: var(--color-light);
                font-size: 1.4rem;
            }
        }

        button {
            border: 2px solid var(--color-btn-border);
            border-radius: 50%;
            aspect-ratio: 1;
            width: 40px;
            height: 40px;
            font-size: 1rem;        
        }
    }

    #sound-holes {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 0.7rem;
        margin-top: 2rem;

        div {
            aspect-ratio: 1;
            background: black;
            border-radius: 50%;
            position: relative;

            &::before, &::after {
                content: "";
                position: absolute;
                width: 100%;
                aspect-ratio: 1;
                top: 50%;
                transform: translateY(-50%);
                background: black;
                border-radius: 50%;
            }

            &::before {
                left: -1rem;
            }

            &::after {
                right: -1rem;
            }
        }

        .hole-small { width: 3px; }
        .hole-medium { width: 6px; }
        .hole-large { width: 10px; }
    }

    #container-1-2 {
        display: flex;
        flex-direction: column;
        margin-top: 3rem;
        gap: 2rem;
        
        a {
            border: 2px solid var(--color-btn-border);
            border-radius: 50%;
            aspect-ratio: 1;
            width: 50px;
            text-align: center;
            font-size: 1.3rem;
            background: var(--wii-color);
            color: var(--wii-color-text);
            text-decoration: none;
            filter: var(--btn-shadow);
            display: flex;
            align-items: center;
            justify-content: center;

            &:active {
                filter: inner-shadow(0 0 0px var(--wii-button-border-color-shadow));
                transform: translateY(4px);
            }
        }
    }

    #player-lights {
        display: flex;
        justify-content: space-evenly;
        gap: 0.7rem;
        margin-top: 2rem;

        div {
            width: 1rem;
            aspect-ratio: 1;
            background: var(--color-light-off);
        }

        #player-light {
            background: var(--color-light);
            filter: drop-shadow(0px 0px 3px var(--color-light));
        }
    }

    #wii-text {
        font-size: 2.3rem;
        margin-top: 1rem;
    }
}